public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-07-20 19:43 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-07-20 19:43 UTC (permalink / raw
  To: gentoo-commits

commit:     59bedff3fe8853c82ae6a861f236ed4a0b4f39b6
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 20 19:43:25 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Jul 20 19:43:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59bedff3

sci-physics/hoomd-blue: import live ebuild from sci

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/hoomd-blue-9999.ebuild | 49 +++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
new file mode 100644
index 0000000..5b01964
--- /dev/null
+++ b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+CMAKE_MAKEFILE_GENERATOR="ninja"
+
+inherit cmake-utils cuda flag-o-matic git-r3 python-single-r1
+
+DESCRIPTION="a general-purpose particle simulation toolkit"
+HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
+EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
+
+if [[ ${PV} != 9999 ]]; then
+	KEYWORDS="~amd64"
+	EGIT_COMMIT="v${PV}"
+fi
+
+LICENSE="hoomd-blue"
+SLOT="0"
+IUSE="cuda test mpi +zlib"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	mpi? ( virtual/mpi )
+	cuda? ( dev-util/nvidia-cuda-sdk )
+	zlib? ( sys-libs/zlib )
+	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	use cuda && cuda_src_prepare
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_MPI=$(usex mpi)
+		-DENABLE_DOXYGEN=OFF #$(
+		-DENABLE_CUDA=$(usex cuda)
+		-DBUILD_TESTING=$(usex test)
+		-DPYTHON_EXECUTABLE="${PYTHON}"
+		-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
+	)
+	cmake-utils_src_configure
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-07-20 19:56 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-07-20 19:56 UTC (permalink / raw
  To: gentoo-commits

commit:     5cfd96c0523d6101428a9a14f204063b2ee98b03
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 20 19:55:42 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Jul 20 19:55:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cfd96c0

sci-physics/hoomd-blue: drop keywords

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild | 1 -
 1 file changed, 1 deletion(-)

diff --git a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild b/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
index 963ddc3..e4dde6f 100644
--- a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
+++ b/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
@@ -14,7 +14,6 @@ HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
 EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
 
 if [[ ${PV} != 9999 ]]; then
-	KEYWORDS="~amd64"
 	EGIT_COMMIT="v${PV}"
 	PATCHES=( "${FILESDIR}/${P}-cxx11.patch" )
 fi


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-07-20 23:08 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-07-20 23:08 UTC (permalink / raw
  To: gentoo-commits

commit:     36ce5c81267a2880fd40e5d8e14c2c0122480083
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 20 23:07:04 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Jul 20 23:07:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36ce5c81

sci-physics/hoomd-blue: make 2.0.1 work without git

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/Manifest                |  2 ++
 sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild | 26 +++++++++++++-------------
 sci-physics/hoomd-blue/hoomd-blue-9999.ebuild  | 18 ++++++++++++------
 3 files changed, 27 insertions(+), 19 deletions(-)

diff --git a/sci-physics/hoomd-blue/Manifest b/sci-physics/hoomd-blue/Manifest
index 045e7af..b6969d6 100644
--- a/sci-physics/hoomd-blue/Manifest
+++ b/sci-physics/hoomd-blue/Manifest
@@ -1 +1,3 @@
 DIST hoomd-blue-1.0.2.tar.bz2 2755462 SHA256 bca7d377fa152b5f99047c5701db0fecb244f56a7861c35eef0ded6106c520d1 SHA512 f9042e3afacc14e62490802d16a13a77592195befa61837703a39aeedf679e81f31aaafb377384d3b0a2f0e9e40dbce7ddd8b2673086706ba223fe265a2dff27 WHIRLPOOL b72c12a88941899c7a51a0a8e78783bf8c108b85f3969663453b2048a9a9c43ab8d4fd3fbcefa0a6d3add47ac880a2462d92760dc9efc5dd7a822be0252bce19
+DIST hoomd-blue-2.0.1.tar.bz2 3208100 SHA256 432cba74cde199f178dfadf7467738d356b83e1d5026c6c83c23880898c76019 SHA512 1edb634fd714c07401df98e6897c37638ac0a7205c10f9063866b2e759a550f5655cef2a62911020d22c7d089a5ab84456f6f7e05677f82bc37532389693ded7 WHIRLPOOL eb78fd60683591e913d0623f980486049cd69bb280724151f0158076863637b824bf29d522b03cb8a2ec9b246c5540553a5b3b65c9454a009529d261bd1a3130
+DIST libgetar-0.5.0.tar.bz2 217067 SHA256 8b03a352f63dcf8d14e88af758f65f71e5e4f92ed01c1566c3333da90164ab42 SHA512 a27de8f7c976e5578142319684de15afca47c24953f590b34cad4ef88c3778aa47aa5eb9a1f83b1473aa49f4394e45dfaa4a8b5107264fa93101dea78ec5fa6b WHIRLPOOL d5dbb0bc51bdc7241ba4c51461da0a54eb57b0e9f76e1f0a7127010ccbd375146b4aae0bfd98a431f96595459913168097502edc9d7fe60f3180ca56fb44e91a

diff --git a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild b/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
index e4dde6f..30fe9f3 100644
--- a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
+++ b/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
@@ -7,50 +7,50 @@ EAPI=6
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 CMAKE_MAKEFILE_GENERATOR="ninja"
 
-inherit cmake-utils cuda flag-o-matic git-r3 python-single-r1
+inherit cmake-utils cuda flag-o-matic python-single-r1
 
 DESCRIPTION="a general-purpose particle simulation toolkit"
 HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
 EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
 
-if [[ ${PV} != 9999 ]]; then
-	EGIT_COMMIT="v${PV}"
+if [[ ${PV} = 9999 ]]; then
+	EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
+	inherit git-r3
+else
+	inherit vcs-snapshot
+	GETTAR_VER=0.5.0
+	SRC_URI="https://bitbucket.org/glotzer/${PN}/get/v${PV}.tar.bz2 -> ${P}.tar.bz2
+		https://bitbucket.org/glotzer/libgetar/get/v${GETTAR_VER}.tar.bz2 -> libgetar-${GETTAR_VER}.tar.bz2"
 	PATCHES=( "${FILESDIR}/${P}-cxx11.patch" )
+	KEYWORDS="~amd64"
 fi
 
 LICENSE="hoomd-blue"
 SLOT="0"
-IUSE="cuda test mpi +zlib"
+IUSE="cuda test mpi"
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
 	mpi? ( virtual/mpi )
 	cuda? ( dev-util/nvidia-cuda-sdk )
-	zlib? ( sys-libs/zlib )
 	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
-	#doc? ( app-doc/doxygen )"
 
 src_prepare() {
+	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
 	use cuda && cuda_src_prepare
-
 	cmake-utils_src_prepare
 }
 
 src_configure() {
 	local mycmakeargs=(
 		-DENABLE_MPI=$(usex mpi)
-		-DENABLE_DOXYGEN=OFF #$(
 		-DENABLE_CUDA=$(usex cuda)
 		-DBUILD_TESTING=$(usex test)
 		-DPYTHON_EXECUTABLE="${PYTHON}"
 		-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
+		-DUPDATE_SUBMODULES=OFF
 	)
 	cmake-utils_src_configure
 }
-
-src_install() {
-	#use doc && HTML_DOCS=( "${BUILD_DIR}"/doc/hoomd-*doc* )
-	cmake-utils_src_install
-}

diff --git a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
index 5b01964..e126c82 100644
--- a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
+++ b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
@@ -7,31 +7,37 @@ EAPI=6
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 CMAKE_MAKEFILE_GENERATOR="ninja"
 
-inherit cmake-utils cuda flag-o-matic git-r3 python-single-r1
+inherit cmake-utils cuda flag-o-matic python-single-r1
 
 DESCRIPTION="a general-purpose particle simulation toolkit"
 HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
 EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
 
-if [[ ${PV} != 9999 ]]; then
+if [[ ${PV} = 9999 ]]; then
+	EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
+	inherit git-r3
+else
+	inherit vcs-snapshot
+	GETTAR_VER=0.5.0
+	SRC_URI="https://bitbucket.org/glotzer/${PN}/get/v${PV}.tar.bz2 -> ${P}.tar.bz2
+		https://bitbucket.org/glotzer/libgetar/get/v${GETTAR_VER}.tar.bz2 -> libgetar-${GETTAR_VER}.tar.bz2"
 	KEYWORDS="~amd64"
-	EGIT_COMMIT="v${PV}"
 fi
 
 LICENSE="hoomd-blue"
 SLOT="0"
-IUSE="cuda test mpi +zlib"
+IUSE="cuda test mpi"
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
 	mpi? ( virtual/mpi )
 	cuda? ( dev-util/nvidia-cuda-sdk )
-	zlib? ( sys-libs/zlib )
 	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
 
 src_prepare() {
+	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
 	use cuda && cuda_src_prepare
 	cmake-utils_src_prepare
 }
@@ -39,11 +45,11 @@ src_prepare() {
 src_configure() {
 	local mycmakeargs=(
 		-DENABLE_MPI=$(usex mpi)
-		-DENABLE_DOXYGEN=OFF #$(
 		-DENABLE_CUDA=$(usex cuda)
 		-DBUILD_TESTING=$(usex test)
 		-DPYTHON_EXECUTABLE="${PYTHON}"
 		-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
+		-DUPDATE_SUBMODULES=OFF
 	)
 	cmake-utils_src_configure
 }


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-07-23 23:12 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-07-23 23:12 UTC (permalink / raw
  To: gentoo-commits

commit:     e76c985ed55cdc692b3b49c508eee8d2b5fdfa07
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 23 23:11:57 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Sat Jul 23 23:12:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e76c985e

sci-physics/hoomd-blue: add multi-py build

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/hoomd-blue-9999.ebuild | 38 ++++++++++++++++++++-------
 1 file changed, 28 insertions(+), 10 deletions(-)

diff --git a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
index e126c82..1240462 100644
--- a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
+++ b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
@@ -7,7 +7,7 @@ EAPI=6
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 CMAKE_MAKEFILE_GENERATOR="ninja"
 
-inherit cmake-utils cuda flag-o-matic python-single-r1
+inherit cmake-utils cuda flag-o-matic python-r1
 
 DESCRIPTION="a general-purpose particle simulation toolkit"
 HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
@@ -40,16 +40,34 @@ src_prepare() {
 	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
 	use cuda && cuda_src_prepare
 	cmake-utils_src_prepare
+
+	#https://bitbucket.org/glotzer/hoomd-blue/issues/173
+	append-cxxflags -std=gnu++11
 }
 
 src_configure() {
-	local mycmakeargs=(
-		-DENABLE_MPI=$(usex mpi)
-		-DENABLE_CUDA=$(usex cuda)
-		-DBUILD_TESTING=$(usex test)
-		-DPYTHON_EXECUTABLE="${PYTHON}"
-		-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
-		-DUPDATE_SUBMODULES=OFF
-	)
-	cmake-utils_src_configure
+	src_configure_internal() {
+		local mycmakeargs=(
+			-DENABLE_MPI=$(usex mpi)
+			-DENABLE_CUDA=$(usex cuda)
+			-DBUILD_TESTING=$(usex test)
+			-DUPDATE_SUBMODULES=OFF
+			-DPYTHON_EXECUTABLE="${PYTHON}"
+			-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
+		)
+		cmake-utils_src_configure
+	}
+	python_foreach_impl src_configure_internal
+}
+
+src_compile() {
+	python_foreach_impl cmake-utils_src_make
+}
+
+src_test() {
+	python_foreach_impl cmake-utils_src_test
+}
+
+src_install() {
+	python_foreach_impl cmake-utils_src_install
 }


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-07-27 17:11 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-07-27 17:11 UTC (permalink / raw
  To: gentoo-commits

commit:     6753a0583867b1df19b54de07d9769dd4edbbdb7
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 27 16:24:56 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Wed Jul 27 17:10:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6753a058

sci-physics/hoomd-blue: live ebuild update

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/hoomd-blue-9999.ebuild | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
index 1240462..d7a2cd9 100644
--- a/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
+++ b/sci-physics/hoomd-blue/hoomd-blue-9999.ebuild
@@ -7,7 +7,7 @@ EAPI=6
 PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 CMAKE_MAKEFILE_GENERATOR="ninja"
 
-inherit cmake-utils cuda flag-o-matic python-r1
+inherit cmake-utils cuda python-r1
 
 DESCRIPTION="a general-purpose particle simulation toolkit"
 HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
@@ -40,9 +40,6 @@ src_prepare() {
 	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
 	use cuda && cuda_src_prepare
 	cmake-utils_src_prepare
-
-	#https://bitbucket.org/glotzer/hoomd-blue/issues/173
-	append-cxxflags -std=gnu++11
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-08-18 23:29 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-08-18 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     b099686b02b6acf5276ae6ed300d742d054acd94
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 18 21:50:28 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Thu Aug 18 23:29:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b099686b

sci-physics/hoomd-blue: version bump

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/Manifest                |  1 +
 sci-physics/hoomd-blue/hoomd-blue-2.0.2.ebuild | 70 ++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/sci-physics/hoomd-blue/Manifest b/sci-physics/hoomd-blue/Manifest
index b6969d6..35a8a7d 100644
--- a/sci-physics/hoomd-blue/Manifest
+++ b/sci-physics/hoomd-blue/Manifest
@@ -1,3 +1,4 @@
 DIST hoomd-blue-1.0.2.tar.bz2 2755462 SHA256 bca7d377fa152b5f99047c5701db0fecb244f56a7861c35eef0ded6106c520d1 SHA512 f9042e3afacc14e62490802d16a13a77592195befa61837703a39aeedf679e81f31aaafb377384d3b0a2f0e9e40dbce7ddd8b2673086706ba223fe265a2dff27 WHIRLPOOL b72c12a88941899c7a51a0a8e78783bf8c108b85f3969663453b2048a9a9c43ab8d4fd3fbcefa0a6d3add47ac880a2462d92760dc9efc5dd7a822be0252bce19
 DIST hoomd-blue-2.0.1.tar.bz2 3208100 SHA256 432cba74cde199f178dfadf7467738d356b83e1d5026c6c83c23880898c76019 SHA512 1edb634fd714c07401df98e6897c37638ac0a7205c10f9063866b2e759a550f5655cef2a62911020d22c7d089a5ab84456f6f7e05677f82bc37532389693ded7 WHIRLPOOL eb78fd60683591e913d0623f980486049cd69bb280724151f0158076863637b824bf29d522b03cb8a2ec9b246c5540553a5b3b65c9454a009529d261bd1a3130
+DIST hoomd-blue-2.0.2.tar.bz2 2942198 SHA256 6ed0b7c28d4490a00081630fe9afd831a862cb895636679b89e2fb0a11637861 SHA512 6480639bc1b8d0534c220c7512f742a6f9eba76ad25991153735cc7f4ff88345332be4c215abd94de85249e79e85a6970be1a74a96350d4693a2c1291fbbf689 WHIRLPOOL e0a9e23a1a5aa8348496400140e4e288a3b79c5bd7f3c09675d592aebd02a781d4ef6cc9e5fe7ac9f671e1ff791ea75d70d3fa25189ade78d9229dfae6e9a21a
 DIST libgetar-0.5.0.tar.bz2 217067 SHA256 8b03a352f63dcf8d14e88af758f65f71e5e4f92ed01c1566c3333da90164ab42 SHA512 a27de8f7c976e5578142319684de15afca47c24953f590b34cad4ef88c3778aa47aa5eb9a1f83b1473aa49f4394e45dfaa4a8b5107264fa93101dea78ec5fa6b WHIRLPOOL d5dbb0bc51bdc7241ba4c51461da0a54eb57b0e9f76e1f0a7127010ccbd375146b4aae0bfd98a431f96595459913168097502edc9d7fe60f3180ca56fb44e91a

diff --git a/sci-physics/hoomd-blue/hoomd-blue-2.0.2.ebuild b/sci-physics/hoomd-blue/hoomd-blue-2.0.2.ebuild
new file mode 100644
index 0000000..d7a2cd9
--- /dev/null
+++ b/sci-physics/hoomd-blue/hoomd-blue-2.0.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+CMAKE_MAKEFILE_GENERATOR="ninja"
+
+inherit cmake-utils cuda python-r1
+
+DESCRIPTION="a general-purpose particle simulation toolkit"
+HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
+EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
+
+if [[ ${PV} = 9999 ]]; then
+	EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
+	inherit git-r3
+else
+	inherit vcs-snapshot
+	GETTAR_VER=0.5.0
+	SRC_URI="https://bitbucket.org/glotzer/${PN}/get/v${PV}.tar.bz2 -> ${P}.tar.bz2
+		https://bitbucket.org/glotzer/libgetar/get/v${GETTAR_VER}.tar.bz2 -> libgetar-${GETTAR_VER}.tar.bz2"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="hoomd-blue"
+SLOT="0"
+IUSE="cuda test mpi"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	mpi? ( virtual/mpi )
+	cuda? ( dev-util/nvidia-cuda-sdk )
+	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
+	use cuda && cuda_src_prepare
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	src_configure_internal() {
+		local mycmakeargs=(
+			-DENABLE_MPI=$(usex mpi)
+			-DENABLE_CUDA=$(usex cuda)
+			-DBUILD_TESTING=$(usex test)
+			-DUPDATE_SUBMODULES=OFF
+			-DPYTHON_EXECUTABLE="${PYTHON}"
+			-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
+		)
+		cmake-utils_src_configure
+	}
+	python_foreach_impl src_configure_internal
+}
+
+src_compile() {
+	python_foreach_impl cmake-utils_src_make
+}
+
+src_test() {
+	python_foreach_impl cmake-utils_src_test
+}
+
+src_install() {
+	python_foreach_impl cmake-utils_src_install
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-08-18 23:29 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-08-18 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     28116701d003c4edacb13418359e6170fdb3a95b
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 18 23:28:57 2016 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Thu Aug 18 23:29:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28116701

sci-physics/hoomd-blue: remove old

Package-Manager: portage-2.2.28

 sci-physics/hoomd-blue/Manifest                |  2 -
 sci-physics/hoomd-blue/hoomd-blue-1.0.2.ebuild | 61 --------------------------
 sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild | 56 -----------------------
 3 files changed, 119 deletions(-)

diff --git a/sci-physics/hoomd-blue/Manifest b/sci-physics/hoomd-blue/Manifest
index 35a8a7d..efdfd16 100644
--- a/sci-physics/hoomd-blue/Manifest
+++ b/sci-physics/hoomd-blue/Manifest
@@ -1,4 +1,2 @@
-DIST hoomd-blue-1.0.2.tar.bz2 2755462 SHA256 bca7d377fa152b5f99047c5701db0fecb244f56a7861c35eef0ded6106c520d1 SHA512 f9042e3afacc14e62490802d16a13a77592195befa61837703a39aeedf679e81f31aaafb377384d3b0a2f0e9e40dbce7ddd8b2673086706ba223fe265a2dff27 WHIRLPOOL b72c12a88941899c7a51a0a8e78783bf8c108b85f3969663453b2048a9a9c43ab8d4fd3fbcefa0a6d3add47ac880a2462d92760dc9efc5dd7a822be0252bce19
-DIST hoomd-blue-2.0.1.tar.bz2 3208100 SHA256 432cba74cde199f178dfadf7467738d356b83e1d5026c6c83c23880898c76019 SHA512 1edb634fd714c07401df98e6897c37638ac0a7205c10f9063866b2e759a550f5655cef2a62911020d22c7d089a5ab84456f6f7e05677f82bc37532389693ded7 WHIRLPOOL eb78fd60683591e913d0623f980486049cd69bb280724151f0158076863637b824bf29d522b03cb8a2ec9b246c5540553a5b3b65c9454a009529d261bd1a3130
 DIST hoomd-blue-2.0.2.tar.bz2 2942198 SHA256 6ed0b7c28d4490a00081630fe9afd831a862cb895636679b89e2fb0a11637861 SHA512 6480639bc1b8d0534c220c7512f742a6f9eba76ad25991153735cc7f4ff88345332be4c215abd94de85249e79e85a6970be1a74a96350d4693a2c1291fbbf689 WHIRLPOOL e0a9e23a1a5aa8348496400140e4e288a3b79c5bd7f3c09675d592aebd02a781d4ef6cc9e5fe7ac9f671e1ff791ea75d70d3fa25189ade78d9229dfae6e9a21a
 DIST libgetar-0.5.0.tar.bz2 217067 SHA256 8b03a352f63dcf8d14e88af758f65f71e5e4f92ed01c1566c3333da90164ab42 SHA512 a27de8f7c976e5578142319684de15afca47c24953f590b34cad4ef88c3778aa47aa5eb9a1f83b1473aa49f4394e45dfaa4a8b5107264fa93101dea78ec5fa6b WHIRLPOOL d5dbb0bc51bdc7241ba4c51461da0a54eb57b0e9f76e1f0a7127010ccbd375146b4aae0bfd98a431f96595459913168097502edc9d7fe60f3180ca56fb44e91a

diff --git a/sci-physics/hoomd-blue/hoomd-blue-1.0.2.ebuild b/sci-physics/hoomd-blue/hoomd-blue-1.0.2.ebuild
deleted file mode 100644
index 63ea837..0000000
--- a/sci-physics/hoomd-blue/hoomd-blue-1.0.2.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
-
-inherit cmake-utils cuda python-single-r1
-
-DESCRIPTION="a general-purpose particle simulation toolkit"
-HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
-
-if [[ ${PV} = 9999 ]]; then
-	EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
-	inherit git-r3
-	KEYWORDS=
-else
-	inherit vcs-snapshot
-	SRC_URI="https://bitbucket.org/glotzer/${PN}/get/v${PV}.tar.bz2 -> ${P}.tar.bz2"
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="hoomd-blue"
-SLOT="0"
-IUSE="cuda doc test mpi +zlib"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-	mpi? ( virtual/mpi )
-	cuda? ( dev-util/nvidia-cuda-sdk )
-	zlib? ( sys-libs/zlib )
-	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	doc? ( app-doc/doxygen )"
-
-src_prepare() {
-	use cuda && cuda_src_prepare
-
-	cmake-utils_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		$(cmake-utils_use_enable mpi MPI)
-		$(cmake-utils_use_enable doc DOXYGEN)
-		$(cmake-utils_use_enable cuda CUDA)
-		$(cmake-utils_use_enable zlib ZLIB)
-		$(cmake-utils_use_build test BUILD_TESTING)
-		-DPYTHON_SITEDIR=$(python_get_sitedir)
-	)
-	cmake-utils_src_configure
-}
-
-src_install() {
-	use doc && HTML_DOCS=( "${BUILD_DIR}"/doc/hoomd-*doc* )
-	cmake-utils_src_install
-
-	sed -i "s/^python/${EPYTHON}/" "${ED}"/usr/bin/hoomd || die
-}

diff --git a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild b/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
deleted file mode 100644
index 30fe9f3..0000000
--- a/sci-physics/hoomd-blue/hoomd-blue-2.0.1.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
-CMAKE_MAKEFILE_GENERATOR="ninja"
-
-inherit cmake-utils cuda flag-o-matic python-single-r1
-
-DESCRIPTION="a general-purpose particle simulation toolkit"
-HOMEPAGE="http://codeblue.umich.edu/hoomd-blue/"
-EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
-
-if [[ ${PV} = 9999 ]]; then
-	EGIT_REPO_URI="https://bitbucket.org/glotzer/${PN}.git"
-	inherit git-r3
-else
-	inherit vcs-snapshot
-	GETTAR_VER=0.5.0
-	SRC_URI="https://bitbucket.org/glotzer/${PN}/get/v${PV}.tar.bz2 -> ${P}.tar.bz2
-		https://bitbucket.org/glotzer/libgetar/get/v${GETTAR_VER}.tar.bz2 -> libgetar-${GETTAR_VER}.tar.bz2"
-	PATCHES=( "${FILESDIR}/${P}-cxx11.patch" )
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="hoomd-blue"
-SLOT="0"
-IUSE="cuda test mpi"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
-	mpi? ( virtual/mpi )
-	cuda? ( dev-util/nvidia-cuda-sdk )
-	dev-libs/boost:=[threads,python,mpi,${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
-	[[ ${PV} = 9999 ]] || mv ../libgetar-${GETTAR_VER}/* hoomd/extern/libgetar || die
-	use cuda && cuda_src_prepare
-	cmake-utils_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DENABLE_MPI=$(usex mpi)
-		-DENABLE_CUDA=$(usex cuda)
-		-DBUILD_TESTING=$(usex test)
-		-DPYTHON_EXECUTABLE="${PYTHON}"
-		-DCMAKE_INSTALL_PREFIX=$(python_get_sitedir)
-		-DUPDATE_SUBMODULES=OFF
-	)
-	cmake-utils_src_configure
-}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/
@ 2016-11-14  2:01 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2016-11-14  2:01 UTC (permalink / raw
  To: gentoo-commits

commit:     8ca24ebd105973792e382c86416b04d088a2ba71
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 01:56:47 2016 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 01:56:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ca24ebd

sci-physics/hoomd-blue: update metadata

Package-Manager: portage-2.3.0

 sci-physics/hoomd-blue/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-physics/hoomd-blue/metadata.xml b/sci-physics/hoomd-blue/metadata.xml
index 774c4c3..1b92a0a 100644
--- a/sci-physics/hoomd-blue/metadata.xml
+++ b/sci-physics/hoomd-blue/metadata.xml
@@ -2,7 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <maintainer type="person">
-    <email>ottxor@gentoo.org</email>
+    <email>junghans@gentoo.org</email>
     <name>Christoph Junghans</name>
   </maintainer>
   <maintainer type="project">


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2016-11-14  2:01 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-18 23:29 [gentoo-commits] repo/gentoo:master commit in: sci-physics/hoomd-blue/ Christoph Junghans
  -- strict thread matches above, loose matches on Subject: below --
2016-11-14  2:01 Christoph Junghans
2016-08-18 23:29 Christoph Junghans
2016-07-27 17:11 Christoph Junghans
2016-07-23 23:12 Christoph Junghans
2016-07-20 23:08 Christoph Junghans
2016-07-20 19:56 Christoph Junghans
2016-07-20 19:43 Christoph Junghans

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox